Loading...
Searching...
No Matches
L4::Ipc_svr::Exc_dispatch< R, Exc > Struct Template Reference

Dispatch helper wrapping try {} catch {} around the dispatch call. More...

`#include <ipc_server_loop>`

Inheritance diagram for L4::Ipc_svr::Exc_dispatch< R, Exc >:
Collaboration diagram for L4::Ipc_svr::Exc_dispatch< R, Exc >:

## Public Member Functions

| Exc_dispatch (R r)
| Make an exception handling dispatcher.
l4_msgtag_t | operator() (l4_msgtag_t tag, l4_umword_t obj, l4_utcb_t *utcb)
| Dispatch the call via Direct_dispatch<R>() and handle exceptions.

## Detailed Description

template<typename R, typename Exc>
struct L4::Ipc_svr::Exc_dispatch< R, Exc >

Dispatch helper wrapping try {} catch {} around the dispatch call.

Template Parameters

  R | Data type of the registry used for dispatching to objects.
  Exc | Data type of the exceptions that shall be caught. This data type must provide a member err_no() that returns the negative integer (int) error code for the exception.

This dispatcher wraps Direct_dispatch<R> with a try-catch (Exc).

Definition at line 140 of file ipc_server_loop.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_server_loop